classification
Title: [py3k] pdb does not work in python 3000
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, gregory.p.smith, gvanrossum
Priority: normal Keywords:

Created on 2007-08-27 23:32 by gregory.p.smith, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (4)
msg55342 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-27 23:32
The Lib/pdb.py debugger fails in the py3k branch.

Traceback (most recent call last):
  File "/usr/local/gps/python/py3k/Lib/pdb.py", line 1247, in main
    pdb._runscript(mainpyfile)
  File "/usr/local/gps/python/py3k/Lib/pdb.py", line 1173, in _runscript
    self.run(statement)
  File "/usr/local/gps/python/py3k/Lib/bdb.py", line 365, in run
    exec(cmd, globals, locals)
  File "<string>", line 1
     exec("# bla bla bla first line of your file being debugged
                               ^
 SyntaxError: EOL while scanning single-quoted string
Uncaught exception. Entering post mortem debugging
msg55438 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-29 20:46
Why are you using _runscript(), which is an internal routine? I've had a
fair amount of success with other invocations, like pdb.run().
msg55453 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2007-08-30 00:59
I was running it by typing "./python Lib/pdb.py Lib/test_foo.py"
msg55869 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-12 19:44
Fixed in rev. 58127.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-09-12 19:44:33georg.brandlsetstatus: open -> closed
assignee: georg.brandl
resolution: fixed
messages: + msg55869
nosy: + georg.brandl
2007-08-30 00:59:20gregory.p.smithsetmessages: + msg55453
2007-08-29 20:46:40gvanrossumsetnosy: + gvanrossum
messages: + msg55438
2007-08-27 23:32:11gregory.p.smithcreate